﻿Version = "2.1";
Name = "FastMark";

function print(arg)
    DEFAULT_CHAT_FRAME:AddMessage(arg);
end

function OnLoad()
    print(Name .. " Version: " .. Version .. " loaded. Write /fastmark or /fm to display available commands.");
    AddSlashCommandHandler();
end

function SlashCommandHandler( msg )
    if (msg=="") then
	    print("FastMark:") ;
        print("  Use /fm <command>");
        print("  <command>: show, hide, version, help");
        print("  To move FastMark addon, hold and drag the left corner.");
    elseif ( msg=="show" ) then
        ShowMainForm();
    elseif ( msg=="hide" ) then
        HideMainForm();
    elseif ( msg=="version" ) then
		print("Fastmark:") ;
        print("  This is: " .. Name .. " Version: " .. Version .. ".");
	elseif ( msg=="help" ) then
		print("FastMark Help:") ;
        print("  Use /fm <command>");
        print("  <command>: show, hide, version, help");
        print("  To move FastMark addon, hold and drag the left corner.");
    end
end

function AddSlashCommandHandler()
    SlashCmdList["FASTMARK"] = SlashCommandHandler;
    SLASH_FASTMARK1 = "/fastmark";
    SLASH_FASTMARK2 = "/fm";
end

function MarkCurrentTarget ( icon )
    SetRaidTargetIcon("target", icon);
end

function ShowMainForm()
    FastMark:Show();
end

function HideMainForm()
    FastMark:Hide();
end
